UploadFicaDocument

Uploads identification to be FICA compliant.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction.
profileNumberString1-20 characters✓The profile which was devalued, funds will be returned to this profile.
IDNumberString1-20 characters✓Cardholder’s identification number.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client.
transactionDateDate✓Transaction date generated by the calling client.
imageString✓Identification image in binary.
mimeString✓Description to the uploaded ID.
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
   <methodName>UploadFICADocument</methodName>
   <params>
       <param>
           <value>
               <string>0876987925</string>
           </value>
       </param>
       <param>
           <value>
               <string>9090987652</string>
           </value>
       </param>
       <param>
           <value>
               <string>490909876540001</string>
           </value>
       </param>
        <param>
           <value>
               <string>txn123456</string>
           </value>
       </param>
       <param>
           <value>
               <dateTime.iso8601>20240531T12:00:00</dateTime.iso8601>
           </value>
       </param>
       <param>
           <value>
               <string>\x89\x50\x4E\x47\x0D\x0A\x1A\x0A\x00\x00\x00\x0D\x49\x48\x44\x52\x00\x00\x00\x10\x00\x00\x00\x10\x08\x06\x00\x00\x00\x1F\xF3\xFF\x61\x00\x00\x00\x01\x73\x52\x47\x42\x00</string>
           </value>
       </param>
       <param>
           <value>
               <string>mime</string>
           </value>
       </param>
       <param>
           <value>
               <string>5f24ae342f67d03a4a1c295a3a038f1fbyuiojkl890cf69ddae578beee42bc1e</string>
           </value>
       </param>
   </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value.
profileNumberStringEcho of incoming value.
cardNumberStringNumber of the card found using the cardIdentifier.
clientTransactionIDStringEcho of incoming value.
serverTransactionIDStringTransaction id generated by Paymentology.
clientTransactionDateDateEcho of incoming value.
resultCodeIntegerStatus code indicating the transaction result.
resultTextStringText indicating transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>txn123456</string>
                        </value>
                    </member>
                    <member>
                        <name>clientTransactionDate</name>
                        <value>
                            <string>20240531T12:00:00</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>0876987925</string>
                        </value>
                    </member>
                    <member>
                        <name>profileNumber</name>
                        <value>
                            <string>9090987652</string>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <string>4117090055782620</string>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>9090987652-8333e08bbc18aae38d1669866d420b9c7742450482202903bd8a4bad94a7fac9</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>